BaseCharFilterFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.analysis.BaseCharFilterFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.analysis
Class BaseCharFilterFactory

    java.lang.Object
      org.apache.solr.analysis.BaseCharFilterFactory

All Implemented Interfaces:
  CharFilterFactory

Direct Known Subclasses:
  HTMLStripCharFilterFactory, LegacyHTMLStripCharFilterFactory, MappingCharFilterFactory, PatternReplaceCharFilterFactory, PersianCharFilterFactory

    public abstract class BaseCharFilterFactory

extends Object
implements CharFilterFactory

Since:
  Solr 1.4
Version:
  $Id: BaseCharFilterFactory.java 890798 2009-12-15 14:13:59Z koji $

Field Summary
`protected Map<String,String>` | `args` The init args
`static org.slf4j.Logger` | `log`

Constructor Summary
`BaseCharFilterFactory()`

Method Summary
`Map<String,String>` | `getArgs()`
`protected int` | `getInt(String name)`
`protected int` | `getInt(String name, int defaultVal)`
`protected int` | `getInt(String name, int defaultVal, boolean useDefault)`
`void` | `init(Map<String,String> args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.solr.analysis.CharFilterFactory
`create`

Field Detail

### log

    public static final org.slf4j.Logger log

### args

    protected Map<String,String> args

  The init args

Constructor Detail

### BaseCharFilterFactory

    public BaseCharFilterFactory()

Method Detail

### getArgs

    public Map<String,String> getArgs()

  Specified by:
    `getArgs` in interface `CharFilterFactory`

### init

    public void init(Map<String,String> args)

  Specified by:
    `init` in interface `CharFilterFactory`

### getInt

    protected int getInt(String name)

### getInt

    protected int getInt(String name,
                         int defaultVal)

### getInt

    protected int getInt(String name,
                         int defaultVal,
                         boolean useDefault)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD